angular.module('sdbgui')
    .controller('NavbarController', ['$scope', '$window', '$uibModal', 'slashDB', function ($scope, $window, $uibModal, slashdb) {
        var ctrl = this;
        ctrl.popoverTemplateUrl = '/static/components/sdbgui-navbar-popover.template.html';
        ctrl.login = function () {
            ctrl.loginError = '';
            ctrl.openLoginPopover = false;
            slashdb.login(ctrl.user, ctrl.password)
                .then(function (response) {
                    location.reload();
                })
                .catch(function (response) {
                    ctrl.loginError = response.headers('Warning');
                    ctrl.openLoginPopover = true;
                });
        };

        ctrl.openUserSettings = function (addNewBtnMsg) {
            addNewBtnMsg = addNewBtnMsg == null ? '' : addNewBtnMsg;
            return $uibModal.open({
                templateUrl: '/static/components/sdbgui-userconfigs/sdbgui-userconfigs-modal.template.html',
                size: 'lg',
                controller: 'UserConfigModalCtrl',
                resolve: {
                    configId: function () {
                        return slashdb.settings.user;
                    },
                    editable: function () {
                        return true;
                    },
                    addNewBtnMsg: function() {
                        return addNewBtnMsg;
                    }
                }
            });
        };

        $scope.$on('open-user-settings-modal', function (e, msg) {
            ctrl.openUserSettings(msg);
        });
    }]);