<%inherit file="/base.mako"/>

<%block name="styles">
    <link rel="stylesheet" href="/static/css/license.css">
</%block>

<%block name="content">
    <%
        settings = request.registry.settings['sdb_settings']
        version = settings['version']
    %>

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 xs-min-width">
                <div class="license-section">
                    ${license['product']} version ${version} <br/>
                    Copyright by VT Enterprise LLC. All rights reserved. <br/>
                    <a href="http://slashdb.com/license-terms" target="_blank">License Terms &amp; Conditions</a>
                    % if license['license-type'] == "Developer License":
                         <p>Restricted for development and evaluation purposes. </p>
                    % else:
                        <p></p>
                    % endif
                    <p><b>Server hostname:</b> ${current_hostname} </p>
                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-6 xs-min-width">
                <h4>Current License Details</h4>
                <dl class="dl-horizontal">
                    <dt>License Type:</dt>
                    <dd>${license['license-type']}</dd>
                    <dt>Expiry Date:</dt>
                    <dd>${license['expiration']}&nbsp;</dd>
                    <dt>Product Key:</dt>
                    <dd>${license['key']}</dd>
                    <dt>Maximum Users:</dt>
                    <dd>${license['max-users']}</dd>
                    <dt>Maximum Databases:</dt>
                    <dd>${license['max-databases']}</dd>
                    <dt>Licensed To:</dt>
                    <dd>${license['organization']}</dd>
                    <dd>${license['organization-dept']}</dd>
                    <dt>Billing Contact:</dt>
                    <dd>${license['billing-contact-name']}</dd>
                    <dd>${license['billing-contact-email']}</dd>
                    <dd>${license['billing-contact-phone']}</dd>
                    <dt>Technical Contact:</dt>
                    <dd>${license['technical-contact-name']}</dd>
                    <dd>${license['technical-contact-email']}</dd>
                    <dd>${license['technical-contact-phone']}</dd>
                </dl>
            </div>
            <div class="col-xs-6 xs-min-width" ng-controller="LicenseController as ctrl">
                <h4>New License</h4>
                <p>Follow this steps to install new license.</p>
                <ol id="new-license-steps">
                    <li>
                        Visit the <a href="http://www.slashdb.com/pricing" target="_blank">pricing page</a> and select a suitable variant.
                    </li>
                    <li>
                        Update <a href="/dbdef" target="_blank">database</a> and <a href="/userdef" target="_blank">user</a> configuration to match your new license.
                    </li>
                    <li>
                        <form name="formCtrl" ng-class="{'has-error': formCtrl.licFile.$dirty && formCtrl.licFile.$invalid}">
                            <label class="control-label btn btn-sm btn-default btn-file">
                                Attach License File <input type="file" style="display: none;" name="licFile" ng-model="ctrl.licFile" file-model license-validator>
                            </label>
                            <span ng-class="{'error-text': formCtrl.licFile.$dirty && formCtrl.licFile.$invalid}">
                                {{ctrl.licFile.name || formCtrl.licFile.licError || 'No file chosen'}}
                            </span>
                        </form>
                    </li>
                    <li>
                        <button class="btn btn-sm btn-primary" ng-click="ctrl.uploadLicense()">Upload</button>
                    </li>
                </ol>
                <div class="alert alert-danger" role="alert" ng-show="ctrl.alert">
                    <a ng-href="#" class="close" ng-click="ctrl.alert=''">&times;</a>
                    <span ng-bind="ctrl.alert"></span>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <h4>Database servers licensed:</h4>
        % for dbtype in all_db_types:
            <div class="col-md-2 licensed-db-type">
                <img class="dbtype-${dbtype}" src="/static/images/logo-${dbtype}.png">

                % if dbtype in license['dbtypes']:
                <div>
                    <span class="bg-success">${dbtype} : licensed</span>
                </div>
                % else:
                <div>
                    <span class="bg-danger">${dbtype} : unlicensed</span>
                </div>
                % endif


            </div>
        % endfor
    </div>
</%block>
