<%inherit file="/base.mako"/>

<%block name="preangular">
    <link rel="stylesheet" href="/static/libs/codemirror/lib/codemirror.css">
    <link rel="stylesheet" href="/static/libs/codemirror/addon/hint/show-hint.css">
    <link rel="stylesheet" href="/static/bower_components/angular-ui-layout/ui-layout.css">

    <script src="/static/libs/codemirror/lib/codemirror.js"></script>
    <script src="/static/libs/codemirror/addon/hint/show-hint.js"></script>
    <script src="/static/libs/codemirror/addon/hint/sql-hint.js"></script>
    <script src="/static/libs/codemirror/mode/sql/sql.js"></script>
    <script src="/static/libs/codemirror-dbschema-hint.js"></script>
    <script src="/static/libs/clipboard.min.js"></script>
</%block>

<%block name="postangular">
    <script src="/static/bower_components/angular-messages/angular-messages.min.js"></script>
    <script src="/static/bower_components/angular-ui-layout/ui-layout.js"></script>
    <script src="/static/services/queryexec.service.js"></script>
    <script src="/static/services/selectize.service.js"></script>
    <script src="/static/components/sdbgui-querystudio/querystudio.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-querystudio/querystudio.css">
</%block>

<%block name="appjs">
    <script>
        angular
        .module(
                'sdbgui',
                [
                    'ngMessages', 'ngAnimate', 'ui.bootstrap', 'angularSlashDB',
                    'ngclipboard', 'ui.codemirror', 'ui.layout', 'selectize'
                ]
        )
        .config(['$locationProvider', '$compileProvider', '$httpProvider', 'slashDBProvider',
            function config($locationProvider, $compileProvider, $httpProvider, slashDBProvider) {

                $compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|blob):/);

                $httpProvider.defaults.withCredentials = true;

                slashDBProvider.setEndpoint(window.location.origin);
                slashDBProvider.setCacheData(false);
            }])
        .filter("valueRepr", function() {
            return function(value, decimalDigits) {
                if (
                    Number(decimalDigits) === decimalDigits && decimalDigits % 1 === 0 && // check if integer
                    Number(value) === value && value % 1 !== 0 // check if float
                ){
                    return Math.round(value*Math.pow(10,decimalDigits))/Math.pow(10,decimalDigits);
                } else {
                    return value
                }
            };
        });
    </script>
</%block>

<%block name="content">
    <querystudio query-id="${query_id}"></querystudio>
</%block>

