<%
    slashdb_status = request.get_slashdb_status()
    navbar_info = slashdb_status['navbar_info']
%>
<nav class="navbar navbar-inverse navbar-fixed-top" ng-controller="NavbarController as ctrl">
    <div class="container-fluid" ng-init="isCollapsed = true">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" ng-click="isCollapsed = !isCollapsed">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            <a class="navbar-brand" href="/" target="_self">
                <img id="navbar-logo" alt="SlashDB Logo" src="/static/images/logo-s.png">
            </a><br>
            <a id="navbar-license-type" href="/license" target="_self" class="${navbar_info.css_class}" >${navbar_info.title}</a>


        </div>
        <div class="navbar-collapse" uib-collapse="isCollapsed">
            <ul class="nav navbar-nav">
                <li><a href="/db" target="_self">Data Discovery</a></li>
                <li><a href="/query" target="_self">SQL Pass-thru</a></li>
                <li class="dropdown" uib-dropdown>
                    <a href="#" class="dropdown-toggle" uib-dropdown-toggle>Configure <b class="caret"></b></a>
                    <ul class="dropdown-menu" uib-dropdown-menu>
                        <li><a href="/dbdef" target="_self">Databases</a></li>
                        <li><a href="/userdef" target="_self">Users</a></li>
                        <li><a href="/querydef" target="_self">Queries</a></li>
                        <li><a href="/license" target="_self">License</a></li>
                    </ul>
                </li>
                <li class="dropdown" uib-dropdown>
                    <a href="#" class="dropdown-toggle" uib-dropdown-toggle>Help <b class="caret"></b></a>
                    <ul class="dropdown-menu" uib-dropdown-menu>
                        <li><a href="https://www.slashdb.com/schedule-demo/" target="_blank">Schedule Demo</a></li>
                        <li><a href="https://docs.slashdb.com/user-guide/" target="_blank">User Guide</a></li>
                        <li><a href="https://www.youtube.com/playlist?list=PLOoRZ1qtQIzn05A2Frp8jupH2brxyITJj" target="_blank">Video Tutorials on YouTube</a></li>
                        <li><a href="https://stackoverflow.com/questions/ask?tags=slashdb+rest+api" target="_blank">Ask on StackOverflow</a></li>
                        <li><a href="https://gitter.im/SlashDB/ask-anything" target="_blank">Community chat room on Gitter</a></li>
                    </ul>
                </li>
            </ul>

            % if slashdb_status['user'] in ['public', None]:
                <form class="navbar-form form-inline" ng-submit="ctrl.login()">
                    <input type="hidden" name="came_from" value="${request.url}" ng-model="ctrl.cameFrom"/>
                    <div class="form-group form-group-md">
                        <input name="login" type="text" class="form-control" placeholder="User" ng-model="ctrl.user">
                    </div>
                    <div class="form-group form-group-md">
                        <input name="password" type="password" class="form-control" placeholder="Password" ng-model="ctrl.password">
                    </div>
                    <div class="form-group form-group-md">
                        <button id="login_button" type="submit" class="btn btn-md btn-default" uib-popover-template="ctrl.popoverTemplateUrl" popover-is-open="ctrl.openLoginPopover" popover-placement="bottom-right" >Log in</button>
                    </div>
                </form>
            % else:
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown" uib-dropdown>
                        <a href="#" class="dropdown-toggle" uib-dropdown-toggle>
                            <span id="user_menu_header">${slashdb_status['user']}</span><b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu" uib-dropdown-menu>
                            <li><a href="#" ng-click="ctrl.openUserSettings()">Settings</a></li>
                            <li><a href="/logout" target="_self">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            % endif
        </div>
    </div>
</nav>
